Bulk Replace Campaign Assignments
Replace all block-snippet assignments for a campaign.
Authorization
x-api-key API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
Campaign ID
Request Body
application/json
PUT /v2/campaigns/:campaignId/block-snippets Request body
TypeScript Definitions
Use the request body type in TypeScript.
New assignments to replace existing ones
Snippet ID
Block ID to use during business-hours calls
Transfer config ID for transfer snippets. Required when campaign has multiple transfer destinations.
Appointment config ID for appointment snippets. Overrides the campaign-level appointment config when set.
Block ID to use during after-hours calls
Transfer config ID to use during after-hours calls. Only applicable when afterHoursBlockId is a transfer block.
Appointment config ID to use during after-hours calls. Only applicable when afterHoursBlockId is an appointment block.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/block-snippets" \ -H "Content-Type: application/json" \ -d '{ "assignments": [ { "snippetId": "ecb0f447-186f-4346-95ab-e27b9e84b6b4" } ] }'{
"success": true,
"message": "string",
"count": 0
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}